Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® Application Server XML Java API Reference 10g Release 2 (10.1.2) Part no. B12024-03 September 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.xml.xsql
Class XSQLErrorWriter

    java.lang.Object
      |
      +--oracle.xml.xsql.XSQLErrorWriter

public final class XSQLErrorWriter
extends java.lang.Object

Constructor Summary
`XSQLErrorWriter(SAXParseException s, XSQLPageRequest env)`
`XSQLErrorWriter(java.lang.String x, SAXParseException s, XSQLPageRequest env)`
`XSQLErrorWriter(java.lang.String x, java.lang.String y, SAXParseException s, XSQLPageRequest env)`
`XSQLErrorWriter(java.lang.String x, java.lang.String y, XSQLPageRequest env)`
`XSQLErrorWriter(java.lang.String s, java.lang.Throwable e, XSQLPageRequest env)`
`XSQLErrorWriter(java.lang.String s, XSQLPageRequest env)`

Method Summary
`static java.lang.String` | `getXSQLVersionMessage(XSQLPageRequest env)`
`void` | `print()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XSQLErrorWriter

    public XSQLErrorWriter(java.lang.String s,
                           java.lang.Throwable e,
    XSQLPageRequest env)

### XSQLErrorWriter

    public XSQLErrorWriter(java.lang.String s,
    XSQLPageRequest env)

### XSQLErrorWriter

    public XSQLErrorWriter(java.lang.String x,
                           java.lang.String y,
    XSQLPageRequest env)

### XSQLErrorWriter

    public XSQLErrorWriter(java.lang.String x,
                           java.lang.String y,
    SAXParseException s,
    XSQLPageRequest env)

### XSQLErrorWriter

    public XSQLErrorWriter(java.lang.String x,
    SAXParseException s,
    XSQLPageRequest env)

### XSQLErrorWriter

    public XSQLErrorWriter(SAXParseException s,
    XSQLPageRequest env)

Method Detail

### print

    public void print()

### getXSQLVersionMessage

    public static java.lang.String getXSQLVersionMessage(XSQLPageRequest env)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® Application Server XML Java API Reference 10g Release 2 (10.1.2) Part no. B12024-03 September 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003, 2004, Oracle. All rights reserved.